BANK WITHDRAWAL
curl --request POST \
--url https://sandbox-api.kotanipay.io/api/v3/withdraw/v2/bank \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bankDetails": {
"name": "George Smith",
"address": "Unit 163 Richmond Street, 25 Allan Road, Oakdene, 4250",
"phoneNumber": "712345678",
"bankCode": "2500",
"accountNumber": "63122514698",
"country": "ZA",
"bankName": "FNB"
},
"currency": "ZAR",
"amount": 100,
"referenceId": "1234567890",
"callbackUrl": "https://your-domain.com/webhook"
}
'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/withdraw/v2/bank"
payload = {
"bankDetails": {
"name": "George Smith",
"address": "Unit 163 Richmond Street, 25 Allan Road, Oakdene, 4250",
"phoneNumber": "712345678",
"bankCode": "2500",
"accountNumber": "63122514698",
"country": "ZA",
"bankName": "FNB"
},
"currency": "ZAR",
"amount": 100,
"referenceId": "1234567890",
"callbackUrl": "https://your-domain.com/webhook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bankDetails: {
name: 'George Smith',
address: 'Unit 163 Richmond Street, 25 Allan Road, Oakdene, 4250',
phoneNumber: '712345678',
bankCode: '2500',
accountNumber: '63122514698',
country: 'ZA',
bankName: 'FNB'
},
currency: 'ZAR',
amount: 100,
referenceId: '1234567890',
callbackUrl: 'https://your-domain.com/webhook'
})
};
fetch('https://sandbox-api.kotanipay.io/api/v3/withdraw/v2/bank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Withdrawal has been successfully created.",
"data": {
"id": "<string>",
"message": "<string>",
"referenceId": "<string>",
"referenceNumber": 123
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Invalid API Key",
"data": {}
}Bank Withdrawals
Bank Withdrawal
This Api Handles payout to bank, currently only supports SA Banks
POST
/
api
/
v3
/
withdraw
/
v2
/
bank
BANK WITHDRAWAL
This API handles payout to bank, currently only supports SA Banks.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
The currency of the transaction
Available options:
KES, GHS, NGN, ZAR, ZAR, USD, XOF, ZMW, XAF, SLE, CDF, TZS, UGX, EGP, MWK, RWF, ETB, MZN, LSL, GNF, USDT, BTC, ETH, USDC Example:
"ZAR"
The amount of the transaction
Example:
100
The reference id of the transaction
Example:
"1234567890"
Callback URL to receive withdrawal status updates
Example:
"https://your-domain.com/webhook"
⌘I